Commit f2989df1 authored by SZ Lin (林上智)'s avatar SZ Lin (林上智)
Browse files

Merge branch 'bwh/update-issues' into 'master'

Update issues

See merge request !15
parents 4dd56965 06c16c36
......@@ -3,11 +3,13 @@ references:
- https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2016-10905
- https://git.kernel.org/linus/36e4ad0316c017d5b271378ed9a1c9a4b77fab5f
- https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=36e4ad0316c017d5b271378ed9a1c9a4b77fab5f
- https://usn.ubuntu.com/usn/usn-4145-1
introduced-by:
mainline: [c1ac539ed43f273cd4d92bf7350ffd783b920184]
fixed-by:
linux-3.16.y: [b0699c8e33f2fdf5396da2d41cf2f7ffe9a140a9]
linux-4.4.y: [d61e517e39149bff6be936c922f47af99d54509a]
linux-4.4.y-cip: [d61e517e39149bff6be936c922f47af99d54509a]
mainline: [36e4ad0316c017d5b271378ed9a1c9a4b77fab5f]
ignore:
linux-4.19.y-cip-rt: No member enables GFS2
......
......@@ -13,6 +13,7 @@ introduced-by:
fixed-by:
linux-3.16.y: [fe2292f42aa20799497099a88771b4bbf6afdc4e]
linux-4.4.y: [b31c9932f84ce06b08735884ae7e19eca2b6c80a]
linux-4.4.y-cip: [b31c9932f84ce06b08735884ae7e19eca2b6c80a]
mainline: [c278c253f3d992c6994d08aa0efb2b6806ca396f]
ignore:
linux-4.4.y-cip: No member enables arc_emac
......
......@@ -9,11 +9,13 @@ references:
- https://lists.debian.org/debian-lts-announce/2019/08/msg00016.html
- https://salsa.debian.org/kernel-team/linux/commit/baefcdc2f29923e7325ce4e1a72c3ff0a9800f32
- https://www.debian.org/security/2019/dsa-4497
- https://usn.ubuntu.com/usn/usn-4145-1
introduced-by:
mainline: [d1db275dd3f6e4182c4c4b4a1ac6287925d60569]
fixed-by:
linux-3.16.y: [2b8d63b97d78835d3cd75b0ee344d21489df4edc]
linux-4.4.y: [ee2f25641633ffb03fb88e4fa8a6424d24d3f295]
linux-4.4.y-cip: [ee2f25641633ffb03fb88e4fa8a6424d24d3f295]
linux-4.4.y-cip-rt: [ee2f25641633ffb03fb88e4fa8a6424d24d3f295]
linux-4.9.y: [1e531ad4316cb47c6c2b42f3257d1841a6e837e7]
mainline: [99253eb750fda6a644d5188fb26c43bad8d5a745]
......@@ -16,5 +16,7 @@ introduced-by:
fixed-by:
linux-4.14.y: [0affbaece6d0b7c75c5166732d0481ae9a28be60]
linux-4.4.y: [e6ea77dd5a6a72583453e8703583ce0ef538aea4]
linux-4.4.y-cip: [e6ea77dd5a6a72583453e8703583ce0ef538aea4]
linux-4.4.y-cip-rt: [e6ea77dd5a6a72583453e8703583ce0ef538aea4]
linux-4.9.y: [c19199167c87841006350cc7c0a59881416e8748]
mainline: [54648cf1ec2d7f4b6a71767799c45676a138ca24]
......@@ -2,6 +2,7 @@ description: 'USB: gadget: f_midi: fixing a possible double-free in f_midi'
references:
- https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-20961
- https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=7fafcfdf6377b18b2a726ea554d6e593ba44349f
- https://usn.ubuntu.com/usn/usn-4145-1
comments:
Debian-carnil: |-
Issue fixes ad0d1a058eac ("usb: gadget: f_midi: fix leak on
......@@ -11,6 +12,8 @@ introduced-by:
fixed-by:
linux-4.14.y: [96dc465173a1f790e805246206aee3d18770f614]
linux-4.4.y: [3dae85a803a265c65e6032cd68a13fb717d766d9]
linux-4.4.y-cip: [3dae85a803a265c65e6032cd68a13fb717d766d9]
linux-4.4.y-cip-rt: [3dae85a803a265c65e6032cd68a13fb717d766d9]
linux-4.9.y: [b3b0809ac25c3ffedc58e7f83bc01a03193e7834]
mainline: [7fafcfdf6377b18b2a726ea554d6e593ba44349f]
ignore:
......
......@@ -3,6 +3,8 @@ references:
- https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-20976
- https://git.kernel.org/linus/c9fbd7bbc23dbdd73364be4d045e5d3612cf6e82
- https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=c9fbd7bbc23dbdd73364be4d045e5d3612cf6e82
- https://usn.ubuntu.com/usn/usn-4144-1
- https://usn.ubuntu.com/usn/usn-4145-1
introduced-by:
mainline: [8daaa83145ef1f0a146680618328dbbd0fa76939]
fixed-by:
......
......@@ -8,6 +8,8 @@ references:
- https://people.canonical.com/~ubuntu-security/cve/2019/CVE-2019-0136.html
- https://usn.ubuntu.com/usn/usn-4115-1
- https://usn.ubuntu.com/usn/usn-4118-1
- https://usn.ubuntu.com/usn/usn-4145-1
- https://usn.ubuntu.com/usn/usn-4147-1
comments:
Debian-bwh: |-
I think commit 79c92ca42b5a is relevant to older branches and have
......@@ -16,6 +18,7 @@ comments:
the second commit 79c92ca42b5a ("mac80211: handle
deauthentication/disassociation from TDLS peer") is not applied
to older branches and might need investigation if applicable.
Backport request for 4.9: https://lore.kernel.org/stable/20190927115711.GA8961@eldamar.local/
Ubuntu-tyhicks: |-
Ubuntu was told by an OEM that upstream commits
588f7d39b3592a36fb7702ae3b8bdd9be4621e2f and
......@@ -26,7 +29,9 @@ fixed-by:
linux-4.14.y: [7a680d6e5441400b768d6e6cfe5524726ebd6b7f, e669f9c50a05c184e8746c751817514d9ddd0e4e]
linux-4.19.y: [0e879ef1cb5baddebe1f12a9a3940a87d8e61558, 1e1007ac47d85dacf6d45821a2870b6268499700]
linux-4.19.y-cip: [0e879ef1cb5baddebe1f12a9a3940a87d8e61558, 1e1007ac47d85dacf6d45821a2870b6268499700]
linux-4.9.y: [9f0f5ff93ed0205a90f11103e9937f3c0417cd4b]
linux-4.19.y-cip-rt: [0e879ef1cb5baddebe1f12a9a3940a87d8e61558, 1e1007ac47d85dacf6d45821a2870b6268499700]
linux-4.4.y: [c7c680979b503a1bb64ee26ffa34207f886090ab, 3fea925a915ac7469c890a16d4fa45fc9ed531e5]
linux-4.9.y: [9f0f5ff93ed0205a90f11103e9937f3c0417cd4b, 7b1f4ffab73d9319b8132bbf5f4a0e2110a98bde]
mainline: [588f7d39b3592a36fb7702ae3b8bdd9be4621e2f, 79c92ca42b5a3e0ea172ea2ce8df8e125af237da]
ignore:
linux-4.19.y-cip-rt: No member enables iwlwifi
......
......@@ -14,8 +14,10 @@ fixed-by:
linux-4.14.y: [b1459fb34061337efbf0d47a3ba6208f2f59829d]
linux-4.19.y: [c7e427e28a3a2d1b89b8f9fa7c3f559774d91a7b]
linux-4.19.y-cip: [c7e427e28a3a2d1b89b8f9fa7c3f559774d91a7b]
linux-4.19.y-cip-rt: [c7e427e28a3a2d1b89b8f9fa7c3f559774d91a7b]
linux-4.4.y: [3a611df229a90247c9a5159d136c60f4008c29a2]
linux-4.4.y-cip: [3a611df229a90247c9a5159d136c60f4008c29a2]
linux-4.4.y-cip-rt: [3a611df229a90247c9a5159d136c60f4008c29a2]
linux-4.9.y: [f70d411e2ecd1f8297e1fd7e91108ca220986784]
linux-5.1.y: [e9111176d9c195ba709245f1bf1d3d1dae5cd22a]
mainline: [69ae4f6aac1578575126319d3f55550e7e440449]
......@@ -6,6 +6,8 @@ references:
- https://lore.kernel.org/linux-bluetooth/20190729122215.9948-1-vdronov@redhat.com/
- https://usn.ubuntu.com/usn/usn-4115-1
- https://usn.ubuntu.com/usn/usn-4118-1
- https://usn.ubuntu.com/usn/usn-4145-1
- https://usn.ubuntu.com/usn/usn-4147-1
comments:
Debian-bwh: |-
For hci_ath, this was introduced in Linux 2.6.36 by commit
......@@ -21,8 +23,10 @@ fixed-by:
linux-4.14.y: [69f9c2bc3f754ad1d610b30b940681d678c8e684]
linux-4.19.y: [56966212e23f82ced10831f7cca02f7339147428]
linux-4.19.y-cip: [56966212e23f82ced10831f7cca02f7339147428]
linux-4.19.y-cip-rt: [56966212e23f82ced10831f7cca02f7339147428]
linux-4.4.y: [37fb924139954a28a1f04959070c3cc762b0de4c]
linux-4.4.y-cip: [37fb924139954a28a1f04959070c3cc762b0de4c]
linux-4.4.y-cip-rt: [37fb924139954a28a1f04959070c3cc762b0de4c]
linux-4.9.y: [58a01b0bd8ea5fddb51d4d854bb149a1a7312c12]
linux-5.2.y: [785b5dc6c06083a874d7bda593de06a01ac7fe6a]
mainline: [b36a1552d7319bbfd5cf7f08726c23c5c66d4f73]
......@@ -35,5 +35,6 @@ fixed-by:
linux-4.19.y-cip: [07480da0c8a1979e0973d6dd783b6aed966dccf6]
linux-4.19.y-cip-rt: [07480da0c8a1979e0973d6dd783b6aed966dccf6]
linux-4.4.y: [66f8c5ff8ed3d99dd21d8f24aac89410de7a4a05]
linux-4.4.y-cip: [66f8c5ff8ed3d99dd21d8f24aac89410de7a4a05]
linux-4.9.y: [6996763856e1fb27ccae260e41fd73a3fff56678]
mainline: [df453700e8d81b1bdafdf684365ee2b9431fb702]
......@@ -29,5 +29,7 @@ comments:
bwh: Only ELF supports ASLR.
reporters:
- Federico Manuel Bento
fixed-by:
mainline: [eac616557050737a8d6ef6fe0322d0980ff0ffde]
ignore:
all: Invalid
......@@ -24,18 +24,24 @@ fixed-by:
linux-3.16.y: [79969c78fd8622fa7e7f925acd483eb01714efa4, bba3308d5fe2c8c4605db3ea868ba57ad990d27d,
e191f5119eba311b3585492174825db763eeb3b9, 822ef687a0a8e92fab6c12e3c2b5e1a5f1a97d54]
linux-4.14.y: [83e6e48e70a133a5ea6167bf152ce2b274008b3d, ee524c14856d2eab5d3d2202c12c06d2e7190c2a,
c4e6262bde5024b3ce1567e09f6556ffc90ceec0]
c4e6262bde5024b3ce1567e09f6556ffc90ceec0, d4187064959c0df9f3e610de02cb3b822c64b88d]
linux-4.19.y: [befb822c062b4c3d93380a58d5fd479395e8b267, 23e7a7b3a75f6dd24c161bf7d1399f251bf5c109,
931b6bfe8af1069fd1a494ef6ab14509ffeacdc3, b88241aef6f1654417bb281546da316ffab57807,
7634b9cd27e8f867dd3438d262c78d4b9262497f]
linux-4.19.y-cip: [befb822c062b4c3d93380a58d5fd479395e8b267, 23e7a7b3a75f6dd24c161bf7d1399f251bf5c109,
931b6bfe8af1069fd1a494ef6ab14509ffeacdc3, b88241aef6f1654417bb281546da316ffab57807,
7634b9cd27e8f867dd3438d262c78d4b9262497f]
linux-4.19.y-cip-rt: [befb822c062b4c3d93380a58d5fd479395e8b267, 23e7a7b3a75f6dd24c161bf7d1399f251bf5c109,
931b6bfe8af1069fd1a494ef6ab14509ffeacdc3, b88241aef6f1654417bb281546da316ffab57807,
7634b9cd27e8f867dd3438d262c78d4b9262497f]
linux-4.4.y: [e3d8c979c49d6113566acf4b3002073979cd35c3, 73e2c1bd2714f902c5ee290445579b79afc6a0e6,
967858f2f222dd140429c70d855e85dafcc89c29, 62dcfbb199c436405fa9be23273e47068db36b0a]
linux-4.4.y-cip: [e3d8c979c49d6113566acf4b3002073979cd35c3, 73e2c1bd2714f902c5ee290445579b79afc6a0e6,
967858f2f222dd140429c70d855e85dafcc89c29, 62dcfbb199c436405fa9be23273e47068db36b0a]
linux-4.4.y-cip-rt: [e3d8c979c49d6113566acf4b3002073979cd35c3, 73e2c1bd2714f902c5ee290445579b79afc6a0e6,
967858f2f222dd140429c70d855e85dafcc89c29, 62dcfbb199c436405fa9be23273e47068db36b0a]
linux-4.9.y: [e90ec5e2b679fd882a0f59eb1bf155d96b34b29c, 90d45f0856f3479a742ae29d5150c59116d3f34a,
6583ecced632cf7f92ff8313d9a6d168df291124, 2224e89446b6095988606ffee3c040e6a7a2c049,
7092a21c757c35d1f924da06092dbed7c113f79a]
6583ecced632cf7f92ff8313d9a6d168df291124, 2224e89446b6095988606ffee3c040e6a7a2c049]
linux-5.2.y: [6b5145c74f91dd46cb299f9e0a42a0b6df1055bd, 405d06fba6937bf272917ec36bd1cf4ad7f7f286,
061b8f7dfb9c4b8afcf20e9873f064438b0d8046, 6ec6d45454123ca5281f2f4aea68235c6b0770fb,
726d427e17b9185d9a35409a6c2a0a991615df6a]
......
......@@ -18,6 +18,7 @@ fixed-by:
linux-4.14.y: [d632920554c5aec81d8a79c23dac07efcbabbd54]
linux-4.19.y: [c09be31461ed140976c60a87364415454a2c3d42]
linux-4.19.y-cip: [c09be31461ed140976c60a87364415454a2c3d42]
linux-4.19.y-cip-rt: [c09be31461ed140976c60a87364415454a2c3d42]
linux-4.4.y: [4657ee0fe05e15ab572b157f13a82e080d4b7d73]
linux-4.4.y-cip: [4657ee0fe05e15ab572b157f13a82e080d4b7d73]
linux-4.4.y-cip-rt: [4657ee0fe05e15ab572b157f13a82e080d4b7d73]
......
......@@ -18,6 +18,7 @@ fixed-by:
linux-4.14.y: [9daf226ff92679d09aeca1b5c1240e3607153336]
linux-4.19.y: [ec83921899a571ad70d582934ee9e3e07f478848]
linux-4.19.y-cip: [ec83921899a571ad70d582934ee9e3e07f478848]
linux-4.19.y-cip-rt: [ec83921899a571ad70d582934ee9e3e07f478848]
linux-4.4.y: [ad472d3a9483abc155e1644ad740cd8c039b5170]
linux-4.4.y-cip: [ad472d3a9483abc155e1644ad740cd8c039b5170]
linux-4.4.y-cip-rt: [ad472d3a9483abc155e1644ad740cd8c039b5170]
......
......@@ -23,6 +23,7 @@ fixed-by:
linux-4.14.y: [cd6f35b8421ff20365ff711c0ac7647fd70e9af7, f2aa4f1a05e0987e812809dbc489bd294fdae5ae]
linux-4.19.y: [7f9f8a37e563c67b24ccd57da1d541a95538e8d9, 59222807fcc99951dc769cd50e132e319d73d699]
linux-4.19.y-cip: [7f9f8a37e563c67b24ccd57da1d541a95538e8d9, 59222807fcc99951dc769cd50e132e319d73d699]
linux-4.19.y-cip-rt: [7f9f8a37e563c67b24ccd57da1d541a95538e8d9, 59222807fcc99951dc769cd50e132e319d73d699]
linux-4.4.y: [e757d052f3b8ce739d068a1e890643376c16b7a9, f938ae0ce5ef7b693125b918509b941281afc957]
linux-4.4.y-cip: [e757d052f3b8ce739d068a1e890643376c16b7a9, f938ae0ce5ef7b693125b918509b941281afc957]
linux-4.4.y-cip-rt: [e757d052f3b8ce739d068a1e890643376c16b7a9, f938ae0ce5ef7b693125b918509b941281afc957]
......
......@@ -12,7 +12,8 @@ comments:
Debian-carnil: Upstream commit marks R3964 as BROKEN.
Ubuntu-tyhicks: |-
The driver was marked broken in the upstream tree. As of 2019-04-29,
there are no fixes for all the issues associated with this driver.
there are no fixes for all the specific issues associated with this driver so
we've disabled the driver.
reporters:
- Jann Horn
introduced-by:
......
......@@ -17,6 +17,7 @@ references:
- https://usn.ubuntu.com/usn/usn-4069-2
- https://usn.ubuntu.com/usn/usn-4115-1
- https://usn.ubuntu.com/usn/usn-4118-1
- https://usn.ubuntu.com/usn/usn-4145-1
comments:
Debian-bwh: |-
I'm having trouble backporting to this to 3.16 because we don't
......
......@@ -18,6 +18,7 @@ fixed-by:
linux-4.14.y: [b1013624a8adb9caa83b4c9f487778c7b51467a0]
linux-4.19.y: [7b460a9bb13db3f442f153c2ab8a9ff8520c368c]
linux-4.19.y-cip: [7b460a9bb13db3f442f153c2ab8a9ff8520c368c]
linux-4.19.y-cip-rt: [7b460a9bb13db3f442f153c2ab8a9ff8520c368c]
linux-5.1.y: [910282a17f7329bf0d6c5027f1951bc19452b164]
mainline: [80caf43549e7e41a695c6d1e11066286538b336f]
ignore:
......
......@@ -25,5 +25,6 @@ introduced-by:
fixed-by:
linux-4.19.y: [cd3e49394cb0f45c8dbf3c17c0818cd3d30b1332]
linux-4.19.y-cip: [cd3e49394cb0f45c8dbf3c17c0818cd3d30b1332]
linux-4.19.y-cip-rt: [cd3e49394cb0f45c8dbf3c17c0818cd3d30b1332]
linux-5.1.y: [1d7446deafa4111acbbeca0ac8ae7ac4340577fa]
mainline: [ca72d88378b2f2444d3ec145dd442d449d3fefbc]
......@@ -15,5 +15,6 @@ introduced-by:
fixed-by:
linux-4.19.y: [4bb4ba362cc1ed3acb181a6d0b68c6de22be78e2]
linux-4.19.y-cip: [4bb4ba362cc1ed3acb181a6d0b68c6de22be78e2]
linux-4.19.y-cip-rt: [4bb4ba362cc1ed3acb181a6d0b68c6de22be78e2]
linux-5.1.y: [4c85012ba97ae0ebb7c33922a38b64f1b98938cd]
mainline: [385097a3675749cbc9e97c085c0e5dfe4269ca51]
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment